HomeNetPermission

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ocap.hn
Class HomeNetPermission

    java.lang.Object
      java.security.Permission
          java.security.BasicPermission
              org.ocap.hn.HomeNetPermission

All Implemented Interfaces:
  Serializable, Guard

    public final class HomeNetPermission

extends BasicPermission

The HomeNetPermission class represents permission to execute privileged home networking operations only signed applications MAY be granted.

A HomeNetPermission consists of a permission name, representing a single privileged operation. The name given in the constructor may end in "*" to represent all permissions beginning with the given string, such as `"*"` to allow all HomeNetPermission operations.

The following table lists all HomeNetPermission permission names.

Permission Name | What the Permission Allows | Description
--- | --- | ---
contentmanagement | Provides management of local or remote content | This permission allows the caller to copy, move, delete content as well as allocate and delete logical volumes on any network device.
remoterendering | Allows content rendering on remote devices | Applications with this permission can stream content from one home network device to another and cause it to be rendered on the destination device.
contentlisting | Provides listing of content on remote devices | Applications with this permission can discover and query lists of content stored on or streamable from remote devices.

Other permissions may be added as necessary.

See Also:
  Serialized Form

Constructor Summary
`HomeNetPermission(String name)` Constructor for the HomeNetPermission

Method Summary

Methods inherited from class java.security.BasicPermission
`equals, getActions, hashCode, implies, newPermissionCollection`

Methods inherited from class java.security.Permission
`checkGuard, getName, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HomeNetPermission

    public HomeNetPermission(String name)

  Constructor for the HomeNetPermission

  Parameters:
    `name` - The name of this permission (see table in class description).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD